# Get customer Use the customer ID to get customer and associated entity details. To get a list of customer IDs, call [List account customers](ref:customersv2get). Depending on customer, either the `person`, `company`, or `customer` (less informational fields than `person`) object is returned. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Customers", "description": "Endpoints to manage customers" } ], "components": { "parameters": { "CustomerIdPath": { "name": "customerId", "in": "path", "description": "Customer ID", "required": true, "schema": { "type": "integer", "format": "int64", "example": 12345 } } }, "schemas": { "IndividualsEmailAddress": { "type": "string", "description": "Email address.", "format": "email", "maxLength": 100, "example": "jenna.flect@email.com" }, "AccountID": { "type": "integer", "format": "int64", "description": "Account ID", "example": 1001 }, "Activity": { "type": "string", "description": "Company's general field of activity", "maxLength": 30, "example": "Manufacturing" }, "AddressID": { "type": "integer", "format": "int32", "description": "Address ID", "example": 456 }, "AddressType": { "type": "string", "description": "Address type", "enum": [ "RESIDENTIAL", "COMMERCIAL", "OTHER" ], "example": "RESIDENTIAL" }, "Assets": { "type": "number", "format": "float", "description": "Assets", "example": 40000 }, "BirthDate": { "type": "string", "description": "Birth date. Format = dd/mm/yyyy.", "example": "31/12/1980" }, "CityOfBirth": { "type": "string", "description": "Birth city", "maxLength": 60, "example": "San Diego" }, "Company2": { "properties": { "company_name": { "$ref": "#/components/schemas/CompanyName" }, "registration_number": { "$ref": "#/components/schemas/RegistrationNumber" }, "activity": { "$ref": "#/components/schemas/Activity" }, "company_type": { "$ref": "#/components/schemas/CompanyType" }, "company_format": { "$ref": "#/components/schemas/CompanyFormat" }, "company_constitution_date": { "$ref": "#/components/schemas/CompanyConstitutionDate2" }, "occupation": { "$ref": "#/components/schemas/RepresentativeOccupation" }, "annual_revenues": { "$ref": "#/components/schemas/CompanyAnnualRevenues" }, "type": { "$ref": "#/components/schemas/CompanyBusinessRelationsType" }, "number_of_partners": { "$ref": "#/components/schemas/NumberOfPartners" }, "perc_ownership": { "$ref": "#/components/schemas/PercOwnership" }, "fiscal_situation": { "$ref": "#/components/schemas/FiscalSituation" }, "debt": { "$ref": "#/components/schemas/CompanyDebt2" }, "income": { "$ref": "#/components/schemas/CompanyIncome" }, "net_worth": { "$ref": "#/components/schemas/CompanyNetWorth" }, "partners": { "description": "Company partners", "type": "array", "items": { "$ref": "#/components/schemas/Partner" } } } }, "CompanyAnnualRevenues": { "type": "number", "format": "float", "description": "Company annual revenues (monthly billing average)", "example": 33000 }, "CompanyBusinessRelationsType": { "type": "string", "example": "B2C", "description": "Company's business relations type", "maxLength": 60 }, "CompanyConstitutionDate2": { "type": "string", "description": "Company constitution date. Format = dd/MM/yyyy.", "example": "01/01/2019" }, "CompanyDebt2": { "type": "number", "format": "float", "description": "Company's debt", "example": 18000 }, "CompanyFormat": { "type": "string", "description": "Company social type", "maxLength": 60, "example": "ME" }, "CompanyIncome": { "type": "integer", "format": "int64", "description": "Company's income", "example": 10000 }, "CompanyName": { "type": "string", "description": "Company's legal name", "maxLength": 150, "example": "Acme Inc." }, "CompanyNetWorth": { "type": "integer", "format": "int64", "description": "Company's net worth", "example": 20000 }, "CompanyType": { "type": "string", "description": "Company type", "maxLength": 60, "example": "Retailer" }, "CountryOfBirth": { "type": "string", "description": "Birth country", "maxLength": 60, "example": "India" }, "CustomerID": { "type": "integer", "format": "int64", "description": "Customer ID", "example": 100211299 }, "CustomerIsActive": { "type": "boolean", "description": "Is customer active or not active? If `is_active` is null in this request, the Pismo platform doesn't overwrite the existing value.", "example": true }, "DocumentIssuedAt": { "type": "string", "description": "Document issuer location. This is a free-form field, not an ISO standard.", "maxLength": 30, "example": "Brazil" }, "DocumentIssuedBy": { "type": "string", "description": "Document issuer", "maxLength": 30 }, "DocumentIssuedDate": { "type": "string", "description": "Date document was issued. Format = dd/mm/yyyy.", "example": "01/31/1970" }, "DocumentNumber": { "type": "string", "maxLength": 15, "description": "Document number, such as a government tax ID.", "example": "31457828046" }, "DocumentType": { "type": "string", "description": "Document type. Free-form field, not an enum.", "maxLength": 30 }, "EntityBirthDate": { "type": "string", "format": "date", "description": "Entity birth date. Format = yyyy-mm-dd.\n\nFor individuals, this is their birth date. For companies, this is the business registration date.\n", "example": "1990-12-31" }, "EntityID": { "type": "integer", "format": "int64", "description": "Entity ID", "minimum": 1, "example": 1234567891 }, "EntityName": { "type": "string", "description": "Entity name", "example": "Sam Smith" }, "EntityRegistration": { "type": "string", "description": "Entity registration", "example": "55555555" }, "FathersName": { "type": "string", "description": "Father's name", "maxLength": 60, "example": "Steven Douglas" }, "FiscalSituation": { "type": "string", "description": "Company's fiscal situation.", "maxLength": 60, "example": "Good" }, "Gender": { "type": "string", "description": "Gender", "maxLength": 1, "enum": [ "F", "M", "" ], "example": "M" }, "IndividualsName": { "type": "string", "description": "Name", "example": "Hyman Roth" }, "IsOwner": { "type": "boolean", "description": "Is the customer the account owner?", "example": false }, "MaritalStatus": { "type": "string", "description": "Marital status", "enum": [ "SINGLE", "MARRIED", "DIVORCED", "WIDOWER" ], "example": "MARRIED" }, "MothersName": { "type": "string", "description": "Mother's name", "maxLength": 60, "example": "Kay Sadilla" }, "Nationality": { "type": "string", "description": "Nationality", "maxLength": 60, "example": "Australian" }, "Nickname": { "type": "string", "description": "Nickname.", "maxLength": 128, "example": "Pinto" }, "NumberOfPartners": { "type": "integer", "format": "int32", "description": "Number of company partners", "example": 3 }, "OtherIdNumber": { "type": "string", "description": "Another ID number", "example": "29000000" }, "Partner": { "type": "object", "description": "Applicant's personal information", "properties": { "name": { "$ref": "#/components/schemas/IndividualsName" }, "nickname": { "$ref": "#/components/schemas/Nickname" }, "printed_name": { "$ref": "#/components/schemas/PrintedName" }, "social_name": { "$ref": "#/components/schemas/SocialName" }, "email": { "$ref": "#/components/schemas/IndividualsEmailAddress" }, "document_number": { "$ref": "#/components/schemas/DocumentNumber" }, "mothers_name": { "$ref": "#/components/schemas/MothersName" }, "gender": { "$ref": "#/components/schemas/Gender" }, "birth_date": { "$ref": "#/components/schemas/BirthDate" }, "city_of_birth": { "$ref": "#/components/schemas/CityOfBirth" }, "state_of_birth": { "$ref": "#/components/schemas/StateOfBirth" }, "country_of_birth": { "$ref": "#/components/schemas/CountryOfBirth" }, "fathers_name": { "$ref": "#/components/schemas/FathersName" }, "marital_status": { "$ref": "#/components/schemas/MaritalStatus" } } }, "PEP": { "type": "boolean", "description": "Is this person a Politically Exposed Person (PEP)? Pismo doesn't do anything differently for a PEP, this is just additional account information. Default is `false`.\n", "example": false }, "PercOwnership": { "type": "number", "format": "float", "description": "Company percentage ownership", "example": 50 }, "Person2": { "type": "object", "description": "Either this or the `company` object is **REQUIRED**. Pass one or the other but not both.", "properties": { "nationality": { "$ref": "#/components/schemas/Nationality" }, "city_of_birth": { "$ref": "#/components/schemas/CityOfBirth" }, "state_of_birth": { "$ref": "#/components/schemas/StateOfBirth" }, "country_of_birth": { "$ref": "#/components/schemas/CountryOfBirth" }, "other_id_number": { "$ref": "#/components/schemas/OtherIdNumber" }, "document_type": { "$ref": "#/components/schemas/DocumentType" }, "document_issued_by": { "$ref": "#/components/schemas/DocumentIssuedBy" }, "document_issued_at": { "$ref": "#/components/schemas/DocumentIssuedAt" }, "document_issued_date": { "$ref": "#/components/schemas/DocumentIssuedDate" }, "fathers_name": { "$ref": "#/components/schemas/FathersName" }, "occupation": { "$ref": "#/components/schemas/PersonOccupation" }, "assets": { "$ref": "#/components/schemas/Assets" }, "income": { "$ref": "#/components/schemas/PersonIncome" }, "net_worth": { "$ref": "#/components/schemas/PersonNetWorth" } } }, "PersonIncome": { "type": "number", "format": "float", "description": "Person's income", "example": 2000 }, "PersonNetWorth": { "type": "number", "format": "float", "description": "Person's net worth", "example": 50000 }, "PersonOccupation": { "type": "string", "description": "Person's occupation", "maxLength": 60, "example": "Programmer" }, "PhoneID": { "type": "integer", "format": "int64", "description": "Phone ID", "example": 8714 }, "PrintedName": { "type": "string", "description": "\nThis field is **DEPRECATED**. \n\nName to be printed on the card. \n\nPunctuation, special characters, and connectors (da/das/de/do/dos/e) are always removed. \n\nThis field's maximum length is 25, but you can set it to a lower value at the program level with the `Max name length on physical card` program parameter.\n\nIf `printed_name` is null, the Pismo platform uses `social_name`. If `social_name` is null, the Pismo platform uses the customer's entity name. For more information on the customer object, refer to [Core objects](https://developers.pismo.io/pismo-docs/docs/setup-overview#customer).\n\nThe Pismo platform gets the name for program parameter `TAMANHO MAX NOME EMBOSSADO` (max size name embossed).\n", "maxLength": 25, "deprecated": true, "example": "Jack Williams" }, "ProgramID": { "type": "integer", "format": "int64", "description": "Program ID", "example": 12345 }, "RegistrationNumber": { "type": "string", "description": "Company's registration number with local authorities", "maxLength": 30, "example": "ACM10004" }, "RepresentativeOccupation": { "type": "string", "description": "Company representative's occupation", "maxLength": 60, "example": "CEO" }, "SimpleError": { "title": "SimpleError", "type": "object", "required": [ "message" ], "properties": { "message": { "type": "string", "description": "Error message" } } }, "SocialName": { "type": "string", "description": "Social name.", "maxLength": 64, "example": "Jack" }, "StateOfBirth": { "type": "string", "description": "Birth state", "maxLength": 60, "example": "California" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/accounts/v2/customers/{customerId}": { "get": { "summary": "Get customer", "description": "Use the customer ID to get customer and associated entity details. \n\nTo get a list of customer IDs, call [List account customers](https://developers.pismo.io/pismo-docs/reference/customersv2get).\n\nDepending on customer, either the `person`, `company`, or `customer` (less informational fields than `person`) object is returned.\n", "operationId": "customerV2Get", "tags": [ "Customers" ], "parameters": [ { "$ref": "#/components/parameters/CustomerIdPath" } ], "responses": { "200": { "description": "Detailed customer and entity information associated with the given customer ID.", "content": { "application/json": { "schema": { "type": "object", "properties": { "program_id": { "$ref": "#/components/schemas/ProgramID" }, "account_id": { "$ref": "#/components/schemas/AccountID" }, "entity": { "type": "object", "properties": { "id": { "$ref": "#/components/schemas/EntityID" }, "name": { "$ref": "#/components/schemas/EntityName" }, "document_number": { "$ref": "#/components/schemas/DocumentNumber" }, "registration": { "$ref": "#/components/schemas/EntityRegistration" }, "birth_date": { "$ref": "#/components/schemas/EntityBirthDate" }, "gender": { "$ref": "#/components/schemas/Gender" }, "mothers_name": { "$ref": "#/components/schemas/MothersName" }, "marital_status": { "$ref": "#/components/schemas/MaritalStatus" }, "pep": { "$ref": "#/components/schemas/PEP" }, "person": { "$ref": "#/components/schemas/Person2" }, "company": { "$ref": "#/components/schemas/Company2" } } }, "customer": { "type": "object", "properties": { "id": { "$ref": "#/components/schemas/CustomerID" }, "printed_name": { "$ref": "#/components/schemas/PrintedName" }, "social_name": { "$ref": "#/components/schemas/SocialName" }, "nickname": { "$ref": "#/components/schemas/Nickname" }, "is_owner": { "$ref": "#/components/schemas/IsOwner" }, "is_active": { "$ref": "#/components/schemas/CustomerIsActive" }, "email": { "$ref": "#/components/schemas/IndividualsEmailAddress" }, "addresses": { "type": "array", "items": { "type": "object", "properties": { "address_id": { "$ref": "#/components/schemas/AddressID" }, "type": { "$ref": "#/components/schemas/AddressType" } } } }, "phones": { "type": "array", "items": { "type": "object", "properties": { "phone_id": { "$ref": "#/components/schemas/PhoneID" }, "type": { "type": "string", "description": "Phone type.", "enum": [ "MOBILE", "RESIDENTIAL", "COMMERCIAL" ], "example": "MOBILE" } } } } } } } } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Account not found": { "value": { "message": "Account not found" } } } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Internal server error": { "value": { "message": "Internal server error" } } } } } } } } } } } ```